<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>CCodeRefactoring: Class Members - Variables</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(function() { init_search(); });
/* @license-end */
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">CCodeRefactoring
   &#160;<span id="projectnumber">First Alpha</span>
   </div>
   <div id="projectbrief">Create Simulation Executable From Existing Code</div>
  </td>
   <td>        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
</td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('functions_vars_i.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
&#160;

<h3><a id="index_i"></a>- i -</h3><ul>
<li>IdOfFileOrExpInfo
: <a class="el" href="struct_expansion_information.html#aa80dcacd1a3f054a322dc497c893ec64">ExpansionInformation</a>
</li>
<li>IncludePos
: <a class="el" href="struct_exp_eval.html#a0270e5d97c060d786cd27789bad44760">ExpEval</a>
</li>
<li>index
: <a class="el" href="structbson_docu_strct.html#a777a7b87a23cddb7755ec00c41bcdb01">bsonDocuStrct</a>
, <a class="el" href="struct_flatten_ctrl.html#a952bcc74b9e11a31eb45aba996d50333">FlattenCtrl</a>
</li>
<li>index_vec
: <a class="el" href="struct_index_pair_type.html#a948ea3f55be8e144b40b84dfdac7e778">IndexPairType</a>
</li>
<li>InnerTokens
: <a class="el" href="struct_location_info.html#a53ce84ca9d669d3ae5717f25210bd69c">LocationInfo</a>
</li>
<li>inParenthesis
: <a class="el" href="struct_all_loc_info.html#aa7ff3dd7b5d02e9f3fc374a8914ce718">AllLocInfo</a>
</li>
<li>IntegerLiteralPosition
: <a class="el" href="struct_integer_literal_properties.html#a3aee6d369fb24e7089f0485c3633caf5">IntegerLiteralProperties</a>
</li>
<li>InterLiteral_scalar
: <a class="el" href="struct_sub_level_properties.html#a8291fcd199f52cc4b1c5a9fabc020271">SubLevelProperties</a>
</li>
<li>isAdditiveOp
: <a class="el" href="struct_binary_op_properties.html#ac088fdfb8f91cc9fc7890f525a755f3e">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#ac428b347b87013e52c90a7b1f521523d">BinaryOpPropertiesLight</a>
</li>
<li>isArrayNo
: <a class="el" href="structbson_docu_strct.html#ab2fe3272f989da3717ffcd1c842669f0">bsonDocuStrct</a>
</li>
<li>isAssignmentOp
: <a class="el" href="struct_binary_op_properties.html#ae6b3869108ab68d320b213da1623a820">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a65761439cc21f9ad0e5469eb99da4163">BinaryOpPropertiesLight</a>
</li>
<li>isASTnodePartner
: <a class="el" href="struct_expansion_information.html#af6f68c2f0fe25c6098e4d1d0ae9191f3">ExpansionInformation</a>
</li>
<li>isBitwiseOp
: <a class="el" href="struct_binary_op_properties.html#ae3b4f1a8335d82ec2246678fbbbadf14">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#ac549dc09a6842e386462e40cfd52de98">BinaryOpPropertiesLight</a>
</li>
<li>isCastLeftToRight
: <a class="el" href="struct_node_hierarchy.html#a6bac996143ee8e64425a3038025e3731">NodeHierarchy</a>
</li>
<li>isComparisonOp
: <a class="el" href="struct_binary_op_properties.html#a5330473a4d91c9ace114bc9f12b4ce67">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#ae822e5b9b76b7290a7e1449834bd24d7">BinaryOpPropertiesLight</a>
</li>
<li>isCompoundAssignmentOp
: <a class="el" href="struct_binary_op_properties.html#a65391488c3c2f167dd05fa58706284a6">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a36385bff7f15390bd5c82fc4e352c30d">BinaryOpPropertiesLight</a>
</li>
<li>isEndLocation
: <a class="el" href="struct_loc_eval.html#a826f7bf4c0a856cb1b0c65e7265b381d">LocEval</a>
</li>
<li>isEndPos
: <a class="el" href="struct_index_pair_type.html#a24ff28ca44a28e403cb98cc5e562d9ba">IndexPairType</a>
</li>
<li>isEndPosition
: <a class="el" href="struct_expansion_information.html#ad6a82843ba0a6abbc6657e5fb4135de3">ExpansionInformation</a>
</li>
<li>isEqualityOp
: <a class="el" href="struct_binary_op_properties.html#a7a7c22ecc82a0fba0cce3bbf816d7928">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a507f4b5803cbb92138c5d95f1ba81ea4">BinaryOpPropertiesLight</a>
</li>
<li>isExtern
: <a class="el" href="struct_var_decl_properties.html#ae1da2e38828113fe0d3c03d38c83d138">VarDeclProperties</a>
</li>
<li>isFPContractableWithinStatement
: <a class="el" href="struct_binary_op_properties.html#a882671a1e6b9c0f39970ce7f750a8577">BinaryOpProperties</a>
</li>
<li>isFromScratchArea
: <a class="el" href="struct_location_info_details.html#aea6c00e9d09a11fbb968b18c5a8b9a9e">LocationInfoDetails</a>
, <a class="el" href="struct_source_code_snippet.html#ac9ec430609e1e48cab177ba635e4ed0b">SourceCodeSnippet</a>
</li>
<li>isFunctionMacroExpansion
: <a class="el" href="struct_location_info.html#aa01fb4682f09c1f310f84ebde88b4d34">LocationInfo</a>
</li>
<li>isfunctionTypePartner
: <a class="el" href="struct_expansion_information.html#aaefc3aad21aa1ff0f79e4235a674ce19">ExpansionInformation</a>
</li>
<li>isLeft
: <a class="el" href="struct_decl_ref_expr_properties.html#a750efae2eead59effc331016c09f7190">DeclRefExprProperties</a>
</li>
<li>isLeftValue
: <a class="el" href="struct_node_hierarchy.html#a888020efdce3868a889bf6bf1e77d2dd">NodeHierarchy</a>
, <a class="el" href="struct_var_decl_memory.html#a111e92d9eed082390063bbbc2dd4b409">VarDeclMemory</a>
</li>
<li>isLHS
: <a class="el" href="struct_sub_level_properties.html#acc00ec5a61d8638c15424e71f70e6b25">SubLevelProperties</a>
, <a class="el" href="struct_variable__type.html#a58a52481fa764d59ceaa1939453a8102">Variable_type</a>
</li>
<li>isLogicalOp
: <a class="el" href="struct_binary_op_properties.html#aecd57715d3ceceadde0034b53ac1f2f5">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a422e47b47e9a13c26fbaca6cd10700bd">BinaryOpPropertiesLight</a>
</li>
<li>isMacroArgExp
: <a class="el" href="struct_location_info.html#a847c3fc38d8fdd4612ce1cdefea8b3e6">LocationInfo</a>
</li>
<li>isMacroBodyExpansion
: <a class="el" href="struct_location_info.html#ae1ece898fc0f747e9c875aed5f95891c">LocationInfo</a>
</li>
<li>isMemberExpr
: <a class="el" href="struct_member_expr_prop.html#ab43cd2d9250c32d4779c7c800cc72b11">MemberExprProp</a>
</li>
<li>isMultiplicativeOp
: <a class="el" href="struct_binary_op_properties.html#a54d9a9d667a2211ed35d7a97825ee783">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#ab2183b5d8256702b252e57648706d4d5">BinaryOpPropertiesLight</a>
</li>
<li>isPointer
: <a class="el" href="struct_variable__type.html#acf61adf3d8168e11f8cbe1c37247cc65">Variable_type</a>
</li>
<li>isPtrMemOp
: <a class="el" href="struct_binary_op_properties.html#a9bbc77be14942519102708a73201b659">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a50ffad8a494777b34dc6ef0008dbf913">BinaryOpPropertiesLight</a>
</li>
<li>isRelationalOp
: <a class="el" href="struct_binary_op_properties.html#a4edebb1c0b90d08a4c085425d8db5111">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a979c782cf48372975093454f15e2cbd0">BinaryOpPropertiesLight</a>
</li>
<li>isShiftAssignOp
: <a class="el" href="struct_binary_op_properties.html#a5c310139b725c9e83a8f317d8aae5037">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a93e703b37f9889509bab1b1a2d5ba813">BinaryOpPropertiesLight</a>
</li>
<li>isShiftOp
: <a class="el" href="struct_binary_op_properties.html#ab1d07da54288df5b59adc69b49c1fc1d">BinaryOpProperties</a>
, <a class="el" href="struct_binary_op_properties_light.html#a59e7ea1e0bb4b7445d259f06e3d421fa">BinaryOpPropertiesLight</a>
</li>
<li>isStartOfCallExprProcessing
: <a class="el" href="struct_node_hierarchy.html#a1f58f8f4919f0a45f986933119eaa71d">NodeHierarchy</a>
</li>
<li>isStartOfMemberProcessing
: <a class="el" href="struct_node_hierarchy.html#a167651d4f868979189fea2cb6aca27d4">NodeHierarchy</a>
</li>
<li>isValid
: <a class="el" href="struct_block_type.html#af30ed63aba8db0d52545905bb89d04f4">BlockType</a>
, <a class="el" href="struct_left_right.html#a8fbe8c5c62f875b13fe75314226599a3">LeftRight</a>
</li>
<li>ItemToMatch
: <a class="el" href="struct_matched_item__type.html#a03973154de401029aabc9823be8a34ad">MatchedItem_type</a>
</li>
<li>ItemToReturn
: <a class="el" href="struct_matched_item__type.html#ab2aa02783b5a8cd1cdef4d3f14a64b67">MatchedItem_type</a>
</li>
<li>iterationLevel
: <a class="el" href="struct_loc_eval.html#ab3cd0e94dc075f84ce1efe9944efe4fa">LocEval</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
